/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package it.inaf.oats.ia2.tap.utils;

import it.inaf.oats.ia2.tap.utils.model.Credentials;
import it.inaf.oats.ia2.tap.utils.tapschema.Schema;
import it.inaf.oats.ia2.tap.utils.tapschema.TapSchema;
import org.apache.wicket.ajax.AjaxRequestTarget;
import org.apache.wicket.extensions.markup.html.tabs.AbstractTab;
import org.apache.wicket.markup.html.form.Form;
import org.apache.wicket.markup.html.panel.Panel;
import org.apache.wicket.model.Model;

/**
 * SchemaTab class extends AbstractTab class. SchemaTab class gets the current
 * SchemaPanel and populates TableTabs of SchemaPage.
 *
 * @author pietro
 */
public class SchemaTab extends AbstractTab {

//    AjaxRequestTarget target;
//    Form<?> form;
//    String panelId;
//    String schema_name;
//    String hostname;
//    int port;
//    String username;
//    String password;
//    String tapschemaName;
//    String utype;
//    String description;
//    
//    SchemaPage schemaPage;
//    
//    TapSchema tapschema;
    public final SchemaPanel schemaPanel;

    /**
     * SchemaTab constructor
     *
     * @param target
     * @param form
     * @param panelId
     * @param credential
     * @param tapschemaName
     * @param tapschema tapschema structure
     * @param schema current schema structure
     */
    public SchemaTab(
            //            AjaxRequestTarget target,
            //            Form<?> form,
            //            String panelId,
            //            Credentials credential,
            //            String tapschemaName,
            //            TapSchema tapschema,
            String panelId, Schema schema) {
        super(new Model<String>(schema.schema_name));
//        
//        this.tapschema = tapschema;
//        
//        this.target = target;
//        this.form = form;
//        this.panelId = panelId;
//        this.schema_name = schema.schema_name;
//        this.hostname = credential.getHostname();
//        this.port = credential.getPort();
//        this.username = credential.getUsername();
//        this.password = credential.getPassword();
//        this.tapschemaName = tapschemaName;
//        this.utype = schema.utype;
//        this.description = schema.description;
//        
//        // creates a new SchemaPage
//        this.schemaPage = new SchemaPage(
//                target,
//                form,
//                credential,
//                tapschemaName,
//                tapschema);
//                
//        // creates a new SchemaPanel
//        schemaPanel = new SchemaPanelOld(
//                panelId,
//                credential,
//                tapschemaName,
//                tapschema,
//                schema);
//        schemaPanel.setOutputMarkupPlaceholderTag(true);
//        
//        // populates TableTabs of SchemaPage
//        schemaPage.populateTableTabs(
//                    target,
//                    form,
//                    credential,
//                    tapschemaName,
//                    schema,
//                    schemaPanel);
        schemaPanel = new SchemaPanel(panelId, schema);
    }

    @Override
    public Panel getPanel(String panelId) {
        return schemaPanel;
    }

}
