package it.inaf.oats.ia2.tap.utils.model;

import java.util.ArrayList;
import org.apache.wicket.markup.html.list.ListView;

/**
 *
 * @author Sonia Zorba <zorba at oats.inaf.it>
 */
public abstract class NullableView<T> extends ListView<T> {
    
    public NullableView(String id) {
        super(id, new ArrayList<T>());
    }
    
    public void setContent(T model) {
        clear();
        getModelObject().add(model);
    }
        
    public void clear() {
        getModelObject().clear();
    }
}
